com.icesoft.faces.component.panelpositioned

## Class PanelPositionedModel

- java.lang.Object
- - com.icesoft.faces.component.panelpositioned.PanelPositionedModel

- All Implemented Interfaces:
    java.io.Serializable

      public class PanelPositionedModel
      extends java.lang.Object
      implements java.io.Serializable

  Used to track changes to positioned panel instances
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PanelPositionedModel` | `build()`
    `int` | `getIndex(java.lang.String id)`
    `static PanelPositionedModel` | `getInstance(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `static PanelPositionedModel` | `resetInstance(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `setIndex(java.lang.String id, int index)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public static PanelPositionedModel build()

    - #### resetInstance

          public static PanelPositionedModel resetInstance(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component)

    - #### getInstance

          public static PanelPositionedModel getInstance(javax.faces.context.FacesContext context,
                                                         javax.faces.component.UIComponent component)

    - #### setIndex

          public void setIndex(java.lang.String id,
                               int index)

    - #### getIndex

          public int getIndex(java.lang.String id)

    - #### size

          public int size()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.